Skip to main content
GET
/
v1
/
orders
/
{order-id}
/
jobs
Retrieve Jobs that belong to an Order
curl --request GET \
  --url https://api.tread-horizon.com/v1/orders/{order-id}/jobs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "job_id": "<string>",
      "loads_count": 123,
      "job_start_at": "2023-11-07T05:31:56Z",
      "unit_of_measure": "Load",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "notes": "<string>",
      "quantity": "<string>",
      "load_unit_of_measure": "Load",
      "order": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "account": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "discarded_at": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "account_types": [
            "customer"
          ],
          "external_id": "<string>",
          "accounting_id": "<string>",
          "company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "schedule_on": true,
          "billing_address": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "thoroughfare": "<string>",
            "premise": "<string>",
            "locality": "<string>",
            "administrative_area": "<string>",
            "postal_code": "<string>",
            "country": "US",
            "lat": "<string>",
            "lon": "<string>",
            "place_id": "<string>"
          },
          "connected_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "billing_contact": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "email": "<string>",
            "phone": "+18885551234"
          }
        },
        "job_time": 123,
        "equipment_type": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "system": true,
          "external_id": "<string>",
          "accounting_id": "<string>"
        },
        "name": "<string>",
        "po_job_number": "<string>",
        "zone": "<string>",
        "notes": "<string>",
        "charge_to_account": "<string>",
        "state": "created",
        "editable": true,
        "geofence_delay_seconds": 123,
        "order_id": "<string>",
        "dispatch_number": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "default_digital_ticket_view": false
      },
      "service": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "waypoints": [
        {
          "type": "pickup",
          "ordinality": 123,
          "site": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "lat": "<string>",
            "lon": "<string>",
            "full_address": "<string>",
            "routable": true,
            "discarded_at": "2023-11-07T05:31:56Z",
            "address": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "thoroughfare": "<string>",
              "premise": "<string>",
              "locality": "<string>",
              "administrative_area": "<string>",
              "postal_code": "<string>",
              "country": "US",
              "lat": "<string>",
              "lon": "<string>",
              "place_id": "<string>"
            },
            "next_billion_geofence": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "geofence": {
                "name": "<string>",
                "type": "<string>",
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "geojson": {
                  "type": "<string>",
                  "coordinates": [
                    [
                      [
                        "<unknown>"
                      ]
                    ]
                  ]
                },
                "circle_center": {
                  "lat": 123,
                  "lon": 123
                },
                "circle_radius": 123,
                "tag": "pickup"
              },
              "moving_geofence": false,
              "tag": "scaling",
              "geofence_type": "moving"
            }
          },
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "contact": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "email": "<string>",
            "phone": "+18885551234"
          }
        }
      ],
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "priority": 1,
      "state": "created",
      "billable_hours": "<string>",
      "billable_hours_overridden": true,
      "additional_equipment": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "equipment_type": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "system": true,
            "external_id": "<string>",
            "accounting_id": "<string>"
          },
          "external_id": "<string>",
          "equipment_id": "<string>",
          "license_number": "<string>",
          "zone": "<string>",
          "accounting_id": "<string>",
          "company_share": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "external_id": "<string>",
            "ticket_match_id": "<string>",
            "sender_company": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "tread_id": "ABC123",
              "legal_name": "<string>",
              "company_type": "hauler"
            },
            "dispatchable": true,
            "schedule_on": true,
            "rate_override": true,
            "expires_at": "2023-11-07T05:31:56Z"
          }
        }
      ],
      "editable": true,
      "copyable": true,
      "state_changed_at": "2023-11-07T05:31:56Z",
      "load_cycle_avg": 123,
      "state_events": [
        "accept"
      ],
      "foremen": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "first_name": "<string>",
          "last_name": "<string>",
          "phone": "<string>",
          "email": "<string>",
          "company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "discarded_at": "2023-11-07T05:31:56Z",
          "company_share": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "external_id": "<string>",
            "ticket_match_id": "<string>",
            "sender_company": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "tread_id": "ABC123",
              "legal_name": "<string>",
              "company_type": "hauler"
            },
            "dispatchable": true,
            "schedule_on": true,
            "rate_override": true,
            "expires_at": "2023-11-07T05:31:56Z"
          }
        }
      ],
      "collaborators": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "first_name": "<string>",
          "last_name": "<string>",
          "discarded_at": "2023-11-07T05:31:56Z",
          "email": "<string>",
          "phone": "<string>",
          "external_id": "<string>",
          "schedule_on": true
        }
      ],
      "salespeople": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "first_name": "<string>",
          "last_name": "<string>",
          "discarded_at": "2023-11-07T05:31:56Z",
          "email": "<string>",
          "phone": "<string>",
          "external_id": "<string>",
          "schedule_on": true
        }
      ],
      "paused_at": "<string>",
      "completed_loads_count": 123,
      "requested_equipment_type_name": "<string>",
      "requested_equipment_type_accounting_id": "<string>",
      "requested_loads_count": 123,
      "equipment_type_gross_capacity": "<string>",
      "deletable": true,
      "recurring_loads": true,
      "equipment_type_gross_capacity_unit_of_measure": "Load",
      "tickets_count": 123,
      "job_time": 123,
      "approved_at": "2023-11-07T05:31:56Z",
      "driver_require_all_permissions": true,
      "times_editable": true,
      "approved": true,
      "approvable": true,
      "unapprovable": true,
      "billing_approved_at": "2023-11-07T05:31:56Z",
      "field_approved_at": "2023-11-07T05:31:56Z",
      "gps_status": {
        "status": "online",
        "last_ping_at": "2023-11-07T05:31:56Z"
      },
      "equipment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "equipment_type": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "system": true,
          "external_id": "<string>",
          "accounting_id": "<string>"
        },
        "external_id": "<string>",
        "equipment_id": "<string>",
        "license_number": "<string>",
        "zone": "<string>",
        "accounting_id": "<string>",
        "company_share": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "ticket_match_id": "<string>",
          "sender_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "dispatchable": true,
          "schedule_on": true,
          "rate_override": true,
          "expires_at": "2023-11-07T05:31:56Z"
        }
      },
      "material": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "external_id": "<string>"
      },
      "foreman_contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      },
      "sales_contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      },
      "supervisor_contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      },
      "collaborator_contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      },
      "driver": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "first_name": "<string>",
        "last_name": "<string>",
        "company": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "tread_id": "ABC123",
          "legal_name": "<string>",
          "company_type": "hauler"
        },
        "schedule_on": true,
        "phone": "<string>",
        "managed": true,
        "gps_status": {
          "status": "online",
          "last_ping_at": "2023-11-07T05:31:56Z"
        },
        "email": "<string>",
        "company_share": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "ticket_match_id": "<string>",
          "sender_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "dispatchable": true,
          "schedule_on": true,
          "rate_override": true,
          "expires_at": "2023-11-07T05:31:56Z",
          "default_equipment": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "external_id": "<string>",
            "equipment_type": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>",
              "system": true,
              "external_id": "<string>",
              "accounting_id": "<string>"
            },
            "equipment_id": "<string>",
            "company_share": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "external_id": "<string>",
              "ticket_match_id": "<string>",
              "sender_company": {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "tread_id": "ABC123",
                "legal_name": "<string>",
                "company_type": "hauler"
              },
              "dispatchable": true,
              "schedule_on": true,
              "rate_override": true,
              "expires_at": "2023-11-07T05:31:56Z"
            }
          }
        },
        "equipment": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "equipment_type": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "system": true,
            "external_id": "<string>",
            "accounting_id": "<string>"
          },
          "external_id": "<string>",
          "equipment_id": "<string>",
          "license_number": "<string>",
          "zone": "<string>",
          "accounting_id": "<string>",
          "company_share": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "external_id": "<string>",
            "ticket_match_id": "<string>",
            "sender_company": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "tread_id": "ABC123",
              "legal_name": "<string>",
              "company_type": "hauler"
            },
            "dispatchable": true,
            "schedule_on": true,
            "rate_override": true,
            "expires_at": "2023-11-07T05:31:56Z"
          }
        },
        "default_equipment": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "equipment_type": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "system": true,
            "external_id": "<string>",
            "accounting_id": "<string>"
          },
          "external_id": "<string>",
          "equipment_id": "<string>",
          "license_number": "<string>",
          "zone": "<string>",
          "accounting_id": "<string>",
          "company_share": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "external_id": "<string>",
            "ticket_match_id": "<string>",
            "sender_company": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "tread_id": "ABC123",
              "legal_name": "<string>",
              "company_type": "hauler"
            },
            "dispatchable": true,
            "schedule_on": true,
            "rate_override": true,
            "expires_at": "2023-11-07T05:31:56Z"
          }
        },
        "company_day_driver_stat": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "day": "2023-12-25",
          "jobs_count": 123
        },
        "labels": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "color": "<string>"
          }
        ]
      },
      "project": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "external_id": "<string>",
        "po_job_number": "<string>",
        "internal_notes": "<string>",
        "job_notes": "<string>",
        "notes": "<string>",
        "order_notes": "<string>"
      },
      "vendor_job_assignment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "rate_value": "<string>",
        "rate_type": "RatePerHour",
        "commission_rate_value": "<string>",
        "commission_rate_type": "RatePerHour",
        "customer_account": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "discarded_at": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "account_types": [
            "customer"
          ],
          "external_id": "<string>",
          "accounting_id": "<string>",
          "company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "schedule_on": true,
          "billing_address": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "thoroughfare": "<string>",
            "premise": "<string>",
            "locality": "<string>",
            "administrative_area": "<string>",
            "postal_code": "<string>",
            "country": "US",
            "lat": "<string>",
            "lon": "<string>",
            "place_id": "<string>"
          },
          "connected_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "billing_contact": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "email": "<string>",
            "phone": "+18885551234"
          }
        },
        "vendor_account": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "discarded_at": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "account_types": [
            "customer"
          ],
          "external_id": "<string>",
          "accounting_id": "<string>",
          "company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "schedule_on": true,
          "billing_address": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "thoroughfare": "<string>",
            "premise": "<string>",
            "locality": "<string>",
            "administrative_area": "<string>",
            "postal_code": "<string>",
            "country": "US",
            "lat": "<string>",
            "lon": "<string>",
            "place_id": "<string>"
          },
          "connected_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "billing_contact": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "email": "<string>",
            "phone": "+18885551234"
          }
        },
        "rate": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "type": "RatePerHour",
          "time_rate": 123
        }
      },
      "customer_job_assignment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "rate_value": "<string>",
        "rate_type": "RatePerHour",
        "commission_rate_value": "<string>",
        "commission_rate_type": "RatePerHour",
        "customer_account": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "discarded_at": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "account_types": [
            "customer"
          ],
          "external_id": "<string>",
          "accounting_id": "<string>",
          "company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "schedule_on": true,
          "billing_address": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "thoroughfare": "<string>",
            "premise": "<string>",
            "locality": "<string>",
            "administrative_area": "<string>",
            "postal_code": "<string>",
            "country": "US",
            "lat": "<string>",
            "lon": "<string>",
            "place_id": "<string>"
          },
          "connected_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "billing_contact": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "email": "<string>",
            "phone": "+18885551234"
          }
        },
        "vendor_account": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "discarded_at": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "account_types": [
            "customer"
          ],
          "external_id": "<string>",
          "accounting_id": "<string>",
          "company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "schedule_on": true,
          "billing_address": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "thoroughfare": "<string>",
            "premise": "<string>",
            "locality": "<string>",
            "administrative_area": "<string>",
            "postal_code": "<string>",
            "country": "US",
            "lat": "<string>",
            "lon": "<string>",
            "place_id": "<string>"
          },
          "connected_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "billing_contact": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "email": "<string>",
            "phone": "+18885551234"
          }
        },
        "rate": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "type": "RatePerHour",
          "time_rate": 123
        }
      },
      "service_class": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "hauler_rate_type": "<string>",
      "driver_rate": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "type": "RatePerHour",
        "time_rate": 123
      },
      "driver_rate_value": "<string>",
      "driver_rate_type": "RatePerHour",
      "phase": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "code": "<string>",
        "primary": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "job_summary": {
        "has_gps_data": true,
        "logging_started_at": "2023-11-07T05:31:56Z",
        "logging_ended_at": "2023-11-07T05:31:56Z",
        "completed_loads_count": 1,
        "break_time_minutes": 1,
        "work_time_minutes": 1,
        "approved_work_time_minutes": 123,
        "first_geofence_entry_at": "2023-11-07T05:31:56Z",
        "last_geofence_exit_at": "2023-11-07T05:31:56Z",
        "job_phase_name": "<string>",
        "job_phase_code": "<string>",
        "foreman_external_id": "<string>",
        "delivered_quantities": [
          {
            "delivered": "<string>",
            "unit_of_measure": "Load",
            "material_name": "<string>",
            "total": "<string>",
            "ticketed": true
          }
        ],
        "adjusted_logging_started_at": "2023-11-07T05:31:56Z",
        "adjusted_logging_ended_at": "2023-11-07T05:31:56Z",
        "editable": true,
        "loads_with_tickets_count": 123,
        "pre_clamp_logging_ended_at": "2023-11-07T05:31:56Z",
        "travelled_distance_meters": "<string>",
        "first_sent_at": "2023-11-07T05:31:56Z",
        "sent_to_driver_at": "2023-11-07T05:31:56Z",
        "driver_accepted_at": "2023-11-07T05:31:56Z",
        "driver_declined_at": "2023-11-07T05:31:56Z",
        "first_accepted_at": "2023-11-07T05:31:56Z",
        "first_declined_at": "2023-11-07T05:31:56Z",
        "first_canceled_at": "2023-11-07T05:31:56Z",
        "pickup_geofence_entry_count": 1,
        "dropoff_geofence_entry_count": 1,
        "gps_active_period_minutes": 1,
        "gps_total_pings": 1,
        "gps_offline_pings": 1,
        "gps_expected_pings": 1,
        "gps_confidence_level": "high"
      },
      "approval_status": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "biller_approved": true,
        "company_admin_approved": true,
        "driver_approved": true,
        "foreman_approved": true,
        "billing_approved_at": "2023-11-07T05:31:56Z",
        "field_approved_at": "2023-11-07T05:31:56Z"
      },
      "driver_commission_rate_value": "<string>",
      "driver_commission_rate_type": "RatePerHour",
      "material_rate_assignment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "sell_price": "<string>",
        "buy_price": "<string>",
        "unit_of_measure": "Load",
        "site": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "lat": "<string>",
          "lon": "<string>",
          "full_address": "<string>",
          "routable": true,
          "discarded_at": "2023-11-07T05:31:56Z",
          "address": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "thoroughfare": "<string>",
            "premise": "<string>",
            "locality": "<string>",
            "administrative_area": "<string>",
            "postal_code": "<string>",
            "country": "US",
            "lat": "<string>",
            "lon": "<string>",
            "place_id": "<string>"
          },
          "next_billion_geofence": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "geofence": {
              "name": "<string>",
              "type": "<string>",
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "geojson": {
                "type": "<string>",
                "coordinates": [
                  [
                    [
                      "<unknown>"
                    ]
                  ]
                ]
              },
              "circle_center": {
                "lat": 123,
                "lon": 123
              },
              "circle_radius": 123,
              "tag": "pickup"
            },
            "moving_geofence": false,
            "tag": "scaling",
            "geofence_type": "moving"
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

order-id
string
required

Order ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

search[datagrid]
string

Search string for datagrid queries

filter[states]
array

States based on the resource (e.g. Order states or Job states)

filter[start_date]
string

Start date range

filter[end_date]
string

End date range

filter[project_ids]
array

The associated Project IDs

filter[vendor_account_ids]
array

The associated Vendor Account IDs

filter[customer_account_ids]
array

The associated Customer Account IDs

filter[driver_ids]
array

The assigned Driver IDs

filter[material_ids]
array

The associated Material IDs

filter[pickup_site_ids]
array

The associated Pickup Site IDs

filter[dropoff_site_ids]
array

The associated Dropoff Site IDs

filter[service_ids]
array

The associated Service IDs

filter[equipment_ids]
array

The associated Equipment IDs

filter[collaborator_ids]
array

The associated Collaborator IDs

filter[company_ids]
array

The associated Company IDs

filter[external_ids]
string

The associated External IDs

filter[foreman_ids]
array

The associated Foreman IDs

filter[site_types]
array

SiteType enum filters (see SiteType enum for the list of values)

filter[salesperson_ids]
array

The associated Salesperson IDs

Response

OK

data
Job-Read · object[]
required